Subject: Re: How should I organize a hard drive?
From: [email-masked] (Daniel Barrett)
Date: 15 Oct 92 19:41:50 GMT
Newsgroups: comp.sys.amiga.introduction

In article <[email-masked]> [email-masked] (John Fieber) writes:
>In article <[email-masked]> [email-masked] (David Voelker) writes:
>I would say to have at least 2 partitions.  One for the system
>software and your basically stable applications and one for your
>personal work files. 

	That is good advice.  I use 4 partitions modeled somewhat after
the UNIX philosophy:

	SYS:	6MB	Commodore's supplied system software
	USR:	100MB	Programs and their necessary support files.
	HOME:	80MB	My files
	TMP:	10MB	Temporary workspace for downloaded files,
			quick hacks, etc.  Lots of turnover (created
			and deleted files).

>There is also something to be said for keeping the original setup
>of the system directories intact and having your own
>customizations separate.
>Then I have a subdirectory called "local" and contains a
>duplicate of the standard directories, but not the files; things
>like c, devs, libs, s, utilities, fonts, etc.  This directory is
>assigned as LOCAL:.  Anything that *I* add to the system goes
>into the LOCAL: directories, not the SYS: directories.  

	I do this also, using WShell 2.0's "PathHandler" which is 
similar to, but more powerful than, the Assign method John described.
It is SO helpful to have your local stuff separate from the OS stuff.

>Assign >NIL: LIBS:     LOCAL:Libs          SYS:Libs
>This way, if I want to add something, I can say something like 
>  copy whizbang.library LIBS: 
>and it goes into the LOCAL:libs director, and does not clutter
>the SYS:libs directory.

	What a simple and wonderful idea, putting the "local" directory
first!  I am shocked it never occurred to me.  I have the system
directory first, and I keep having to move things around when a program
creates a file (like "S:foobar.init").

>Also, invest in a good backup program and a pile of floppy disks.

	Or invest in a tape drive or other backup device.  Mine was worth
every penny of the $350 I spent on it.

                                                        Dan

 //////////////////////////////////////\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
| Dan Barrett -- Dept of Computer Science, Lederle Graduate Research Center |
| University of Massachusetts, Amherst, MA  01003  --  [email-masked] |
 \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\/////////////////////////////////////